Debian Bug report logs - #495826
[m68k] disable stress.t self-test

version graph

Package: perl; Maintainer for perl is Niko Tyni <ntyni@debian.org>; Source for perl is src:perl.

Reported by: Stephen R Marenka <stephen@marenka.net>

Date: Wed, 20 Aug 2008 17:51:01 UTC

Severity: important

Found in version perl/5.10.0-13

Fixed in version perl/5.10.0-14

Done: Niko Tyni <ntyni@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#495826; Package perl. Full text and rfc822 format available.

Acknowledgement sent to Stephen R Marenka <stephen@marenka.net>:
New Bug report received and forwarded. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stephen R Marenka <stephen@marenka.net>
To: submit@bugs.debian.org
Subject: [m68k] disable stress.t self-test
Date: Wed, 20 Aug 2008 12:47:44 -0500
[Message part 1 (text/plain, inline)]
Package: perl
Version: 5.10.0-13
Severity: important

ext/threads/shared/t/stress.t fails on m68k because we don't have TLS
yet. I believe this test didn't exist in 5.8.8-12 and the behavior
remains the same between perl versions.

Please disable this test on m68k for now. We can revisit it once we get
TLS operational.

Thanks,

Stephen

-- 
Stephen R. Marenka     If life's not fun, you're not doing it right!
<stephen@marenka.net>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#495826; Package perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #10 received at 495826@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Stephen R Marenka <stephen@marenka.net>, 495826@bugs.debian.org
Subject: Re: Bug#495826: [m68k] disable stress.t self-test
Date: Tue, 26 Aug 2008 20:59:48 +0300
[Message part 1 (text/plain, inline)]
On Wed, Aug 20, 2008 at 12:47:44PM -0500, Stephen R Marenka wrote:
> Package: perl
> Version: 5.10.0-13
> Severity: important
> 
> ext/threads/shared/t/stress.t fails on m68k because we don't have TLS
> yet. I believe this test didn't exist in 5.8.8-12 and the behavior
> remains the same between perl versions.
> 
> Please disable this test on m68k for now. We can revisit it once we get
> TLS operational.

Could you please confirm that it builds on m68k with the attached patch?
-- 
Niko Tyni   ntyni@debian.org
[495826.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#495826; Package perl. Full text and rfc822 format available.

Acknowledgement sent to Stephen R Marenka <stephen@marenka.net>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #15 received at 495826@bugs.debian.org (full text, mbox):

From: Stephen R Marenka <stephen@marenka.net>
To: Niko Tyni <ntyni@debian.org>
Cc: 495826@bugs.debian.org
Subject: Re: Bug#495826: [m68k] disable stress.t self-test
Date: Tue, 26 Aug 2008 14:27:44 -0500
[Message part 1 (text/plain, inline)]
On Tue, Aug 26, 2008 at 08:59:48PM +0300, Niko Tyni wrote:
> On Wed, Aug 20, 2008 at 12:47:44PM -0500, Stephen R Marenka wrote:

> > ext/threads/shared/t/stress.t fails on m68k because we don't have TLS
> > yet. I believe this test didn't exist in 5.8.8-12 and the behavior
> > remains the same between perl versions.
> > 
> > Please disable this test on m68k for now. We can revisit it once we get
> > TLS operational.
> 
> Could you please confirm that it builds on m68k with the attached patch?

With that patch that test is indeed properly skipped now. 

I can do a full build if you'd like, but this is essentially the patch I 
applied before filing the bug.

Thanks,

Stephen

-- 
Stephen R. Marenka     If life's not fun, you're not doing it right!
<stephen@marenka.net>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#495826; Package perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #20 received at 495826@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Stephen R Marenka <stephen@marenka.net>
Cc: 495826@bugs.debian.org
Subject: Re: Bug#495826: [m68k] disable stress.t self-test
Date: Wed, 27 Aug 2008 08:42:16 +0300
On Tue, Aug 26, 2008 at 02:27:44PM -0500, Stephen R Marenka wrote:
> On Tue, Aug 26, 2008 at 08:59:48PM +0300, Niko Tyni wrote:
> > On Wed, Aug 20, 2008 at 12:47:44PM -0500, Stephen R Marenka wrote:
> 
> > > ext/threads/shared/t/stress.t fails on m68k because we don't have TLS
> > > yet. I believe this test didn't exist in 5.8.8-12 and the behavior
> > > remains the same between perl versions.
> > > 
> > > Please disable this test on m68k for now. We can revisit it once we get
> > > TLS operational.
> > 
> > Could you please confirm that it builds on m68k with the attached patch?
> 
> With that patch that test is indeed properly skipped now. 
> 
> I can do a full build if you'd like, but this is essentially the patch I 
> applied before filing the bug.

OK, if you've seen the rest of the test suite succeed, that's certainly
enough.

Thanks,
-- 
Niko Tyni   ntyni@debian.org




Reply sent to Niko Tyni <ntyni@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Stephen R Marenka <stephen@marenka.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 495826-close@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 495826-close@bugs.debian.org
Subject: Bug#495826: fixed in perl 5.10.0-14
Date: Fri, 12 Sep 2008 18:17:08 +0000
Source: perl
Source-Version: 5.10.0-14

We believe that the bug you reported is fixed in the latest version of
perl, which is due to be installed in the Debian FTP archive:

libcgi-fast-perl_5.10.0-14_all.deb
  to pool/main/p/perl/libcgi-fast-perl_5.10.0-14_all.deb
libperl-dev_5.10.0-14_amd64.deb
  to pool/main/p/perl/libperl-dev_5.10.0-14_amd64.deb
libperl5.10_5.10.0-14_amd64.deb
  to pool/main/p/perl/libperl5.10_5.10.0-14_amd64.deb
perl-base_5.10.0-14_amd64.deb
  to pool/main/p/perl/perl-base_5.10.0-14_amd64.deb
perl-debug_5.10.0-14_amd64.deb
  to pool/main/p/perl/perl-debug_5.10.0-14_amd64.deb
perl-doc_5.10.0-14_all.deb
  to pool/main/p/perl/perl-doc_5.10.0-14_all.deb
perl-modules_5.10.0-14_all.deb
  to pool/main/p/perl/perl-modules_5.10.0-14_all.deb
perl-suid_5.10.0-14_amd64.deb
  to pool/main/p/perl/perl-suid_5.10.0-14_amd64.deb
perl_5.10.0-14.diff.gz
  to pool/main/p/perl/perl_5.10.0-14.diff.gz
perl_5.10.0-14.dsc
  to pool/main/p/perl/perl_5.10.0-14.dsc
perl_5.10.0-14_amd64.deb
  to pool/main/p/perl/perl_5.10.0-14_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 495826@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niko Tyni <ntyni@debian.org> (supplier of updated perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 08 Sep 2008 20:48:07 +0300
Source: perl
Binary: perl-base libcgi-fast-perl perl-doc perl-modules perl-debug perl-suid libperl5.10 libperl-dev perl
Architecture: source all amd64
Version: 5.10.0-14
Distribution: unstable
Urgency: low
Maintainer: Brendan O'Dea <bod@debian.org>
Changed-By: Niko Tyni <ntyni@debian.org>
Description: 
 libcgi-fast-perl - CGI::Fast Perl module
 libperl-dev - Perl library: development files
 libperl5.10 - Shared Perl library
 perl       - Larry Wall's Practical Extraction and Report Language
 perl-base  - minimal Perl system
 perl-debug - Debug-enabled Perl interpreter
 perl-doc   - Perl documentation
 perl-modules - Core Perl modules
 perl-suid  - Runs setuid Perl scripts
Closes: 448204 480565 480997 488300 492037 494679 494779 495826
Changes: 
 perl (5.10.0-14) unstable; urgency=low
 .
   * Make perl-base Pre-Depend on dpkg (>= 1.14.20), whose Essential scripts
     don't break when liblocale-gettext-perl and perl-base aren't binary
     compatible. (Closes: #488300)
   * Fix tainted usage of $ENV{TMPDIR} as an sprintf format in CGI.pm.
     (Closes: #494679)
   * Disable ext/threads/shared/t/stress.t on m68k for now. (Closes: #495826)
   * Improve Etch->Lenny upgrades by making perl-base conflict with those
     XS module packages in Etch that lacked the required perlapi-* dependency.
     (Closes: #494779)
   * Upgrade to Pod::Man 2.18 to get the 'pod2man --utf8' functionality
     in lenny. (Closes: #480997)
     + also fixes dash overescaping with non-ascii characters. (Closes: #480565)
     + headings starting with groff special characters are now handled
       correctly. (Closes: #448204)
   * Make /usr/bin/perldoc invoke pod2man with the "--utf8" option if it
     detects a new enough Pod::Man version. (Closes: #492037)
Checksums-Sha1: 
 2ed3484374994f19689c8d9fd84e0d2f4a2b3b2f 1307 perl_5.10.0-14.dsc
 741be424c2ad7c881177652cc2c7e0ff9477e71f 126554 perl_5.10.0-14.diff.gz
 3e7a143e95c8719b506b751fa007197d5c6dff8d 43916 libcgi-fast-perl_5.10.0-14_all.deb
 43d9c42327a4913a57a946e5bcc6e9ce4e796e78 8220456 perl-doc_5.10.0-14_all.deb
 f5cdf021d697e420fa80a24f113d4c76f93418a6 3191508 perl-modules_5.10.0-14_all.deb
 c0b32bae81e22869ec22366535d445045d585bd0 1046560 perl-base_5.10.0-14_amd64.deb
 7db26d0c5ac6dc89daae4168eea5f431a1738904 5538252 perl-debug_5.10.0-14_amd64.deb
 fb472f24cf3be946cf425244f557ac26c5265827 31462 perl-suid_5.10.0-14_amd64.deb
 c0e02ccec2584597f3302e39136926937282b752 1010 libperl5.10_5.10.0-14_amd64.deb
 fdcbf4427f5de1a56541575a4cbed22beb4db0b5 2595454 libperl-dev_5.10.0-14_amd64.deb
 ef1726de0d175b6b5ed079a07c5efcf370268bc2 5247144 perl_5.10.0-14_amd64.deb
Checksums-Sha256: 
 6611458ada4082a7a05b24daed563016e2e653e748c313649819f14f8d85f3aa 1307 perl_5.10.0-14.dsc
 5100f933af9021ab6c75cc357c3d2d7295ff66d4ec26a2100afaa53338aa7641 126554 perl_5.10.0-14.diff.gz
 c0e982f1e0a54d50835a6a448c0d5687f9f75386791cedf3d65e19fee49ccb64 43916 libcgi-fast-perl_5.10.0-14_all.deb
 edccce26b5d8ea903c68297e99dda4b31164a38c8bb571f82d96d20fe09258c5 8220456 perl-doc_5.10.0-14_all.deb
 2565d863207fb2451fa569c77073d6378bc7448017ec250fd822ba6b5366e4fc 3191508 perl-modules_5.10.0-14_all.deb
 0f0744510d8130c34f12267a919d05a8d0967b1465cd14135255c1373734302a 1046560 perl-base_5.10.0-14_amd64.deb
 e44e0974a3182dd581b26fa947afec74b5835cf7153d1dd889ae8df9e140db87 5538252 perl-debug_5.10.0-14_amd64.deb
 368aee889a9aa2e8cd34815f7a494fb7a4bc953f1c732e2e2df18a1957f123e0 31462 perl-suid_5.10.0-14_amd64.deb
 cd456d33f8038d85a799f4a1746c5df7dc6de4456e6a8ab1a44f17c2f19f9ef9 1010 libperl5.10_5.10.0-14_amd64.deb
 0abcf11b7d11419ded926ae0960a40f589d2445169d65eaa1ba2bdfae6baedcb 2595454 libperl-dev_5.10.0-14_amd64.deb
 c368d923141490515852dd6f17b7325bc666472c6b40e1bc7fde357baab6b854 5247144 perl_5.10.0-14_amd64.deb
Files: 
 def43bf85b2848f1f6a90f1d900cfce2 1307 perl standard perl_5.10.0-14.dsc
 2d8211b374bbdb43a56129303e50334d 126554 perl standard perl_5.10.0-14.diff.gz
 32b53650d1305edf9038c81fbc8c254b 43916 perl optional libcgi-fast-perl_5.10.0-14_all.deb
 d66ba7226b6d34ed4f8238b6389510cd 8220456 doc optional perl-doc_5.10.0-14_all.deb
 07d33bda6e7ea3df5c1f70fd0ba5009b 3191508 perl standard perl-modules_5.10.0-14_all.deb
 1330d029f60ec02bb06d18ace9d13b03 1046560 perl required perl-base_5.10.0-14_amd64.deb
 027207a75f8e96fbde3eaa4b470a4409 5538252 perl optional perl-debug_5.10.0-14_amd64.deb
 a00c064d4876bada0eb2b4b6bee36423 31462 perl optional perl-suid_5.10.0-14_amd64.deb
 52370da5639f021490b83ab393f928f7 1010 libs optional libperl5.10_5.10.0-14_amd64.deb
 a0a06f07cfa4f56d7c59b7d85a9c401e 2595454 libdevel optional libperl-dev_5.10.0-14_amd64.deb
 7c7d66a7a41d911f33667c5ddbd5e732 5247144 perl standard perl_5.10.0-14_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkjKgjUACgkQiyizGWoHLTn5MwCfVjOFg3bw4VujMpIomwt9JUOy
ZBkAni7Zy9k+TjalAt0B4BNEmxaEiq+T
=L3K3
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 30 Nov 2008 07:48:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 10:46:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.